Subject: Re: BUGs in skb_checksum_help() and skb_gso_segment() in 2.6.18-rc2

From: Patrick McHardy <[email-masked]>
Date: Wed, 26 Jul 2006 05:38:07 +0200

Herbert Xu wrote:
> Evgeniy Polyakov <[email-masked]> wrote:
> 
>>It is not a bug, but remind to update nat helper function.
> 
> 
> Yes, I need to add CHECKSUM_COMPLETE vs. CHECKSUM_PARTIAL first so that
> we actually know which is which in NAT.

I have a patch which changes netfilter to do incremental checksumming.
The hook number is passed to all functions doing this so they know
how to update the checksum. Could you explain how
CHECKSUM_COMPLETE/CHECKSUM_PARTIAL are going to be used? I assume
they're meant to avoid passing hook numbers around everywhere?